> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve firewall

> Returns a single firewall by its ID.



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /firewalls/{firewall_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /firewalls/{firewall_id}:
    get:
      tags:
        - Firewalls
      summary: Retrieve firewall
      description: Returns a single firewall by its ID.
      operationId: get-firewall
      parameters:
        - name: firewall_id
          in: path
          description: The Firewall ID
          required: true
          examples:
            Success:
              value: fw_6A05EdQ1dvKYQ
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: fw_6A05EdQ1dvKYQ
                      type: firewalls
                      attributes:
                        name: D'Amore-Nienow
                        project:
                          id: proj_byQrJdNJd30gv
                          name: Rustic Steel Plate
                          slug: rustic-steel-plate
                        rules:
                          - from: 233.62.24.172
                            to: 20.231.71.178
                            port: '80'
                            protocol: TCP
                            default: false
                          - from: 242.23.216.53
                            to: 136.56.111.45
                            port: '80'
                            protocol: TCP
                            default: false
              schema:
                $ref: '#/components/schemas/firewall'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.firewalls.get(firewall_id="fw_6A05EdQ1dvKYQ")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Firewalls.Get(ctx, \"fw_6A05EdQ1dvKYQ\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Firewall != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.firewalls.get({
                firewallId: "fw_6A05EdQ1dvKYQ",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    firewall:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/firewall_data'
        meta:
          type: object
    firewall_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - firewalls
        attributes:
          type: object
          properties:
            name:
              type: string
            rules:
              type: array
              items:
                type: object
                properties:
                  from:
                    type: string
                    description: >-
                      Source IP address, IP range in CIDR notation, or 'ANY'
                      (e.g., "192.168.1.1", "192.168.1.0/24", "ANY")
                  to:
                    type: string
                    description: >-
                      Destination IP address, IP range in CIDR notation, or
                      'ANY' (e.g., "192.168.1.1", "192.168.1.0/24", "ANY")
                  port:
                    type: string
                  protocol:
                    type: string
                  description:
                    type: string
                    nullable: true
                    description: Optional description explaining the purpose of this rule
            project:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
                slug:
                  type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````